/* David McCallum, 2018
sintheta.org
fab academy 2018 at the Waag in Amsterdam

*/

import processing.serial.*;

Serial myPort;   // Create object from Serial class
int count = 0;

int[] sensors = new int[2];

int rect0Size = 0;
int rect1Size = 0;

// serialEvent method is run automatically
// whenever the buffer receives a linefeed byte 


void setup()
{
  // I know that the first port in the serial list on my mac
  // is Serial.list()[0].
  // On Windows machines, this generally opens COM1.
  // Open whatever port is the one you're using.
  //String portName = Serial.list()[0]; //change the 0 to a 1 or 2 etc. to match your port
  myPort = new Serial(this, "/dev/cu.usbserial-FTH9HXH0", 9600);
  myPort.bufferUntil('\n');
  
  size(400,400);
  
}

void draw() {
  background(125,34, 45);
  
  rect0Size = int( map(sensors[0], 4000, 7000, 0, 100) );
  rect1Size = int( map(sensors[1], 4000, 7000, 0, 100) );

  
  rect(10, 10, rect0Size, rect0Size);
  rect(10, 200, rect1Size, rect1Size); 
  
  
  //delay(10);
  
  
}
 
void serialEvent(Serial myPort) {


  // read the serial buffer:
  String myString = myPort.readStringUntil('\n');
  
  println("here!");
 
  // if we get any bytes other than the linefeed:
  if (myString != null) 
  {
    // remove the linefeed
    myString = trim(myString);
 
    // split the string at the tabs and convert the sections into integers:
    int mysensors[] = int(split(myString, '\t'));
    
    /*
    
    count = mysensors.length;
    
    //print("to here!");
 
 
    for (int i=0; i<count; i++) {
      sensors[i] = mysensors[i];  
      print(i + ": " + sensors[i] + "\t");
    }
    println();
    
    */
    
    sensors[0] = mysensors[0];
    sensors[1] = mysensors[1];
    
    
    //println(sensors[0] + "\t" + sensors[1]);

    
    
  }
  
  


}